/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.route-leaving-component {
  width: 588px;
  .ant-modal-content {
    padding: 24px 32px !important;
    .ant-modal-close {
      margin: 8px !important;
      color: black !important;
    }
  }
  .ant-modal-close-x {
    font-size: 2.4rem !important;
  }
  .ant-modal-title {
    overflow: hidden;
    .icon-title {
      color: #faad14;
      margin-right: 10px;
      margin-left: 10px;
      float: left;
    }
    .title-text {
      overflow: hidden;
      display: block;
    }
  }
  .ant-modal-header,
  .ant-modal-footer {
    border: 0 !important;
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    align-items: flex-end;
    gap: 16px;
    margin-top: auto;
  }

  .ant-modal-header {
    min-height: 24px !important;
    .ant-modal-title {
      h3 {
        font-size: 1.6rem !important;
      }
    }
  }
  .ant-modal-footer,
  .ant-modal-header,
  .ant-modal-body {
    padding: 4px 9px !important;
    min-height: 0 !important;
    font-size: 16px !important;
  }
  .ant-modal-footer {
    padding-left: 0 !important;
    padding-top: 14px !important;
  }
}
